#ifndef __STDLIB
#define __STDLIB

typedef unsigned long time_t;
typedef unsigned long size_t;
typedef unsigned long ulong_t;
typedef signed   long ssize_t;
typedef char *pchar_t;

import void*   __cdecl malloc (int size);
import void*   __cdecl realloc(void *ptr,int size);
import void    __cdecl free   (void *ptr);
import int     __cdecl strlen (char*);
import char*   __cdecl strcpy (char*,char*);
import char*   __cdecl strcat (char*,char*);
import int     __cdecl strcmp (char*,char*);
import char*   __cdecl strstr (char*,char*);
import void*   __cdecl memmove(void*,void*,int);
import int     __cdecl memcmp (void*,void*,int);
import void*   __cdecl memset (void*,int,size_t);
import int     __cdecl printf (char*fmt,...);
import name "ihlpcSPrintf"
       int     __cdecl sprintf(char*buf,char*fmt,...);

import ulong_t __cdecl strtoul(char*,pchar_t*,int);
import long    __cdecl strtol(char*,pchar_t*,int);

import time_t  __cdecl time(time_t *tloc);
import size_t  __cdecl random(size_t range);
import void    __cdecl randomize(size_t seed);
import int     __cdecl atoi(char*);
import char*   __cdecl itoa(int,char*,int);

#endif // __STDLIB
